Bug 1313723 - Dashboard loading extremely slow (30+ seconds)
Summary: Dashboard loading extremely slow (30+ seconds)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Performance
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Chris Duryee
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-02 09:50 UTC by Brad Buckingham
Modified: 2019-09-26 18:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:03:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13993 None None None 2016-04-22 16:54:03 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Brad Buckingham 2016-03-02 09:50:30 UTC
Dashboard loading a bit slow

Comment 2 Mike McCune 2016-03-09 18:14:36 UTC
Updated to increase the severity. The dashboard is very slow and often takes beyond 30 seconds to load which is unacceptable. 

Needs to be sub 2-3 seconds.

Comment 3 Bryan Kearney 2016-03-11 17:07:06 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13993 has been closed
-------------
Chris Duryee
Applied in changeset commit:katello|45d3394b210f0fc0ddd44ff6562d26cf8d6595c9.

Comment 4 sthirugn@redhat.com 2016-03-21 12:52:26 UTC
A new satellite 6.2-beta4 snap build took 6+ seconds to load and it is a brand new satellite without much data.  I will continue to test with more data, but failing this bug since expectation is 2 to 3 seconds as per Comment 2.

Comment 5 sthirugn@redhat.com 2016-03-21 14:44:46 UTC
I added libvirt provisioning and added a host.  I also discovered/provisioned two hosts via discovery plugin.  The dashboard still took 6+ seconds to load.

Comment 6 Chris Duryee 2016-03-21 14:58:33 UTC
(discussed on IRC, but just to keep the bz in sync)

I suspect there is a different issue making the dashboard take 6+ seconds, vs the 30+ seconds bug.

I will investigate today.

Comment 7 Chris Duryee 2016-03-21 16:08:17 UTC
I get timings of 900-1200 msec on the dashboard. It looks like the first page load will load some javascript but it appears to only be the first time.

I tested with firefox, here is how I did it:

 * load dashboard page
 * open developer tools (ctrl-shift-I), select network tab
 * hit shift-refresh, note time for dashboard plus time for javascript to load
 * refresh page again (just regular, not shift-refresh)

It looks like the dashboard itself takes 800-1200msec, and then there are some additional seconds for javascript to be fetched. On my system, it took 3.5-ish seconds for the JS to load but it could be a bandwith difference.

If you want to remove bandwith as a factor, one way is to right click on the dashboard's load time in the network tab, and select "copy as curl". you can then paste that curl command onto a system that you know has a fast connection to the Satellite, and get the timing there. I typically add "-sk" to the curl command and pipe it to /dev/null since it can be a lot of output and I'm only interested in the timing :) Note that this does not fetch any images or JS, so it's not a true test, but is good for isolating issues.

If you still see 6+ seconds with the curl test, let me know and we can look further.

Comment 8 sthirugn@redhat.com 2016-03-24 15:17:35 UTC
Tested in Satellite 6.2 Beta Snap 5.1.  I see the loading times averaging between 2 to 3 seconds.  I am marking this bug VERIFIED now.

Comment 11 errata-xmlrpc 2016-07-27 09:03:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.